@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
body {
    margin: 0;
    padding: 0;
}

h1 {
    font-weight: 600;
}
h2 {
    font-weight: 600;
}
h4 {
    font-weight: 600;
    text-align: center;
}
.a {
    text-decoration: inherit;
}
.alert-custom {
    position: fixed;
    right: 14px;
    z-index: 9999;
    animation: slideIn 0.3s forwards;
    bottom: 80px;
}
.alert {
    transition: opacity 0.3s ease-out;
}

.alert.show {
    opacity: 1;
}

.alert:not(.show) {
    opacity: 0;
}
.alert-dismissible {
    padding-right: 1rem;
}
.iframe-container {
    position: relative;
    width: 100%;
    padding-bottom: 52%;
    overflow: hidden;
}

.iframe-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

@keyframes slideIn {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}
@media (max-width: 914px) {
    .ocultar {
        display: none;
    }
}
@media (min-width: 915px) {
    .ocultar2 {
        display: none;
    }
}
@media (max-width: 600px) {
    .ocultar3 {
        display: none;
    }
}

.atras {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 15px;
    gap: 10px;
    height: 45px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
}

.atras .label {
    line-height: 20px;
    font-size: 17px;
    color: #fff;
    font-weight: 600;
    font-family: sans-serif;
    letter-spacing: 1px;
}

.titulo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 15px;
    gap: 10px;
    height: 34px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
}

.titulo .label {
    line-height: 20px;
    font-size: 17px;
    color: #fff;
    font-weight: 600;
    font-family: sans-serif;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    letter-spacing: 1px;
}
.contenido a {
    text-decoration: none;
}
form .atras-buscar {
    height: 50px;
}
.group {
    display: flex;
    line-height: 28px;
    align-items: center;
    position: relative;
    justify-content: end;
}

.input-buscar {
    line-height: 28px;
    padding: 0.3rem 0.5rem;
    padding-left: 3rem;
    border: 2px solid transparent;
    border-radius: 8px;
    outline: none;
    background-color: #f3f3f4;
    color: #0d0c22;
    transition: 0.3s ease;
    margin-bottom: 0;
}

.input-buscar::placeholder {
    color: #9e9ea7;
}

.group .material-icons {
    color: #9e9ea7;
    position: absolute;
    left: 1rem;
    width: 1rem;
    height: 1rem;
    bottom: 1.2rem;
    top: 0.5rem;
}
.sidebar-button i {
    color: #20262e;
    cursor: pointer;
}
.material-icons {
    color: #fff;
}
.btn-atras {
    background-color: #f9912e;
    color: #fff;
}

.btn-atras-vistas {
    background-color: #f9912e;
    padding: 20px 15px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    gap: 10px;
    height: 45px;
    color: #fff;
    position: absolute;
    top: 4.5rem;
    left: 0.9rem;
    z-index: 0;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
}

.btn-atras-vistas-2 {
    padding: 20px 15px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    backdrop-filter: blur(20px);
    gap: 10px;
    height: 45px;
    color: #fff;
    position: absolute;
    top: 4.5rem;
    left: 9rem;
    margin-right: 10px;
    z-index: 0;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
}

.btn-atras-vistas-3 {
    padding: 20px 15px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    backdrop-filter: blur(20px);
    gap: 10px;
    height: 45px;
    color: #fff;
    position: absolute;
    top: 4.5rem;
    left: 1rem;
    margin-right: 10px;
    z-index: 0;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
}

.btn-atras-vistas:hover {
    background-color: #ffa755;
    color: #fff;
}
.btn-atras:hover {
    background-color: #ffa755;
    color: #fff;
}
.btn-group-lg > .btn,
.btn-lg {
    --bs-btn-padding-y: 0.3rem;
}
.sidebar-admin {
    background: #FF5733;
}

.sidebar-admin .nav-links li a.active {
    background: #ff983f;
}

.sidebar-admin .nav-links li a:hover {
    background: #ff983f;
}
.sidebar-grado1 {
    background-color: rgba(18, 118, 82, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado1 .nav-links li a.active {
    background: #127652;
}

.sidebar-grado1 .nav-links li a:hover {
    background: #609966;
}

.sidebar-grado2 {
    background-color: rgba(53, 118, 182, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado2 .nav-links li a.active {
    background: #3576b6;
}

.sidebar-grado2 .nav-links li a:hover {
    background: #0081c9;
}

.sidebar-grado3 {
    background-color: rgba(92, 70, 156, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado3 .nav-links li a.active {
    background: #5c469c;
}

.sidebar-grado3 .nav-links li a:hover {
    background: #ad7be9;
}

.sidebar-grado4 {
    background-color: rgba(255, 152, 0, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado4 .nav-links li a.active {
    background: #ff9800;
}

.sidebar-grado4 .nav-links li a:hover {
    background: #ffd93d;
}

.sidebar-grado5 {
    background-color: rgba(189, 23, 27, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado5 .nav-links li a.active {
    background: #bd171b;
}

.sidebar-grado5 .nav-links li a:hover {
    background: #dc0000;
}

.sidebar-grado6 {
    background-color: rgba(151, 191, 79, 0.5);
    backdrop-filter: blur(5px);
}

.sidebar-grado6 .nav-links li a.active {
    background: #97bf4f;
}

.sidebar-grado6 .nav-links li a:hover {
    background: #98d8aa;
}

.sidebar-default {
    background-color: #0a2647;
}
.btn-group > .btn:not(:last-child):not(.dropdown-toggle) {
    border-radius: 0.375rem;
}

.btn-group > :not(.btn-check) + .btn {
    border-radius: 0.375rem;
}

.container-fluid {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
a {
    text-decoration: none;
}
.tooltip {
    --bs-tooltip-bg: #FF5733;
    border-radius: 7px;
}

.download-button {
    position: absolute;
    top: 5%;
    right: 5%;
}

.download-button i {
    font-size: 50px;
}

@media (max-width: 768px) {
    .tooltip {
        display: none;
    }
}
@media (max-width: 600px) {
    .alert-custom {
        bottom: 75px;
    }
}
